View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012355ParaView(No Category)public2011-07-11 13:322012-10-29 17:04
ReporterSeth 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10.1 
Target VersionFixed in Version3.98.0 
Summary0012355: 2D text renders with missing parts of last letter
DescriptionWhen making 2D text, part of the last character is not rendered, this is particularly bad when the first character is narrow and the last character is wide. In the attached image, see the "100 N" and "Bone" annotations.

+===== System info ======+
Ubuntu 10.10 64 bit
2.6.35-30-generic 0000054-Ubuntu SMP Tue Jun 7 18:41:54 UTC 2011 x86_64 GNU/Linux
ParaView 3.10.1 64bit (pre-compiled binary download)
Qt Version 4.6.3
nVidia Graphics: G92 [GeForce GTS 240]
TagsNo tags attached.
ProjectSandia
Topic Name12898_fix_text_bounding_box
Typeincorrect functionality
Attached Filespng file icon textRender.png [^] (192,992 bytes) 2011-07-11 13:32


png file icon 2012-03-09_150925.png [^] (1,606 bytes) 2012-03-09 09:08

- Relationships Relation Graph ] Dependency Graph ]
related to 0012898closedUtkarsh Ayachit Text is truncating incorrectly 
has duplicate 0013133closedAlan Scott Text clipped off when suing text source. 

-  Notes
(0028345)
Menno Deij (reporter)
2012-03-09 09:09

This should really be solved, see the screenshot I just made of the number 18. About 20% of the 8 character is wrapped around & rendered incorrectly.
(0028352)
Seth (reporter)
2012-03-09 14:07

I have to agree! I've been having to edit my figures in GIMP to get them to look right...
(0028536)
Alan Scott (manager)
2012-04-27 16:13

Leaving this bug unclosed, since it is another easy example. Needs to be fixed.
(0028570)
Utkarsh Ayachit (administrator)
2012-05-03 16:20

commit 24da3fc7c6f50a8d563f2a17346e79e364d9f5a0
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Thu May 3 16:17:06 2012 -0400

    BUG 0012898. Fixed occasional clipping of text.
    
    Text would get clipped for certain texts. The problem was that the texture
    coordinate computation did not consider +ve x-offsets for the rendered text.
    Fixed that.
    
    Change-Id: Iac85237b5349255341a735ceb37d57c4d23b6cc1
(0028574)
Utkarsh Ayachit (administrator)
2012-05-04 12:50

merged in master, if applicable.
(0028601)
Alan Scott (manager)
2012-05-14 17:45

Changing this one to be Project Sandia, thus I will find it when I am closing bugs.
(0028788)
Alan Scott (manager)
2012-07-17 20:44

Tested Linux, remote server, Master.

- Issue History
Date Modified Username Field Change
2011-07-11 13:32 Seth New Issue
2011-07-11 13:32 Seth File Added: textRender.png
2012-01-31 19:41 Alan Scott Relationship added related to 0012898
2012-03-09 09:08 Menno Deij File Added: 2012-03-09_150925.png
2012-03-09 09:09 Menno Deij Note Added: 0028345
2012-03-09 14:07 Seth Note Added: 0028352
2012-04-27 16:03 Alan Scott Relationship added has duplicate 0013133
2012-04-27 16:13 Alan Scott Note Added: 0028536
2012-05-03 16:20 Utkarsh Ayachit Topic Name => 12898_fix_text_bounding_box
2012-05-03 16:20 Utkarsh Ayachit Note Added: 0028570
2012-05-03 16:20 Utkarsh Ayachit Status backlog => gatekeeper review
2012-05-03 16:20 Utkarsh Ayachit Fixed in Version => git-next
2012-05-03 16:20 Utkarsh Ayachit Resolution open => fixed
2012-05-03 16:20 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2012-05-04 12:47 Utkarsh Ayachit Fixed in Version git-next => git-master
2012-05-04 12:50 Utkarsh Ayachit Status gatekeeper review => customer review
2012-05-04 12:50 Utkarsh Ayachit Note Added: 0028574
2012-05-14 17:45 Alan Scott Project TBD => Sandia
2012-05-14 17:45 Alan Scott Note Added: 0028601
2012-07-17 20:44 Alan Scott Note Added: 0028788
2012-07-17 20:44 Alan Scott Status customer review => closed
2012-10-29 17:04 Utkarsh Ayachit Fixed in Version git-master => 3.98.0


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker